Package: groovy.lang

## [Java] Interface ClosureInvokingMethod

-     public interface ClosureInvokingMethod

  An interface for MetaMethods that invoke closures to implements. Used by ExpandoMetaClass

  See Also:
    ExpandoMetaClass
  Since:
    1.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Closure` | `getClosure()` Returns the original closure that this method invokes
    `` | `public String` | `getName()` The method name
    `` | `public boolean` | `isStatic()` Is it a static method?

- - ### Method Detail

    - #### public Closure getClosure()

      Returns the original closure that this method invokes

      Returns:
        The closure

    - #### public String getName()

      The method name

      Returns:
        The method name

    - #### public boolean isStatic()

      Is it a static method?

      Returns:
        True if it is